Results 1 to 2 of 2
  1. #1

    Question apache-php-suexec patch

    I try to install php-suexec on apache 1.3.26 from apache_1.3.24-php-suexec-patch

    Patch process doesn't give any error. But after compile and installed it always give errors.

    [error] (8)Exec format error: exec of test.php failed
    [error] Premature end of script headers: /usr/local/apache_1.3.26/htdocs/test.php

    Anyone try this patch yet?

    Last edited by ThaiZone; 08-29-2002 at 03:54 AM.

  2. #2
    Why do you need a "patch"? That looks like it's just running PHP as CGI instead of a web server module. You can already just install PHP to run as CGI and just use SuEXEC on CGI as normal. Do you check the ownership and permissions of the PHP scripts, check the path to the interpreter (which you'll need to do now), as well as the permissions and ownership of the directory the CGI/PHP scripts are in? That looks like a usual wrapper error, as it checks to make sure everything checks out as it should before it runs the script (for security reasons) when using that wrapper.
    Updating signature

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts